# designateclient.v2.utils module

designateclient.v2.utils.get_all(function, criterion=None, args=None)
  Parameters:

    - function – Function to be called to get data

    - criterion – dict of filters to be applied

    - args – arguments to be given to the function

  Returns:

    DesignateList()

designateclient.v2.utils.parse_query_from_url(url)

  Helper to get key bits of data from the “next” url returned from the API on collections :param url: :return: dict

designateclient.v2.utils.resolve_by_name(func, name, *args)

  Helper to resolve a “name” a’la foo.com to it’s ID by using REST api’s query support and filtering on name.

this page last updated: 2026-03-26 21:09:09

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug